using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using CLMatematica;

namespace AppConsole
{
    class ProgramConsole
    {
        static void Main(string[] args)
        {
            Console.Write("Inserire un numero intero: ");

            try
            {
                int numeroInserito = Convert.ToInt32(Console.ReadLine());

                string conversioneBinario = StrumentiMatematica.ConversioneDecimaleBinario(numeroInserito);

                Console.WriteLine("La conversione in binario vale: " + conversioneBinario);
            }
            catch (Exception)
            {
                Console.WriteLine("Errore nella conversione");
            }
            

            Console.ReadLine();
        }
    }
}
